Bug 251031 - packages.getDetails returns empty build_date
Summary: packages.getDetails returns empty build_date
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
(Show other bugs)
Version: 510
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Devan Goodwin
QA Contact: Brandon Perkins
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 248642
TreeView+ depends on / blocked
 
Reported: 2007-08-06 17:08 UTC by Mike McCune
Modified: 2008-04-02 21:01 UTC (History)
0 users

Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 21:01:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McCune 2007-08-06 17:08:48 UTC
If you call package.getDetails you get back an empty build_date even if the
package has one:

          <member>
            <name>package_build_date</name>
            <value>
              <string> </string>
            </value>
          </member>

Comment 1 Devan Goodwin 2007-10-26 13:05:01 UTC
Hibernate mapping for the build_time column was missing entirely.

Sending        code/src/com/redhat/rhn/domain/rhnpackage/Package_satellite.hbm.xml
Sending        code/src/com/redhat/rhn/domain/rhnpackage/test/PackageTest.java
Sending        code/src/com/redhat/rhn/frontend/xmlrpc/packages/PackageHelper.java
Transmitting file data ...
Committed revision 133249.


Comment 2 Brandon Perkins 2008-01-05 05:56:18 UTC
Verified.

Comment 3 Brandon Perkins 2008-04-02 21:01:35 UTC
API call Enhancements for 5.1 Sat GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.